import { Col, Row } from 'react-bootstrap'

import RoboError from '../../Images/robo_error.png'
import PriorityHighIcon from '@mui/icons-material/PriorityHigh';

export function ErrorMessage() {
    return (
        <div>
            <Row className="row" style={{flexDirection:'row'}}>
                <Col md="6">
                    <img src={RoboError} alt="robo error" />
                </Col>
                <Col md="6">
                    <h1>Upss... <PriorityHighIcon fontSize="large" style={{ fontSize:95 }} /></h1>
                    <h3>Algo salió mal..</h3>
                    <p>Lo sentimos porfavor intentalo  nuevamente</p>
                </Col>
            </Row>
        </div>
    )
}
