import { Modal } from 'react-bootstrap'

export function HelpModal (props) {
    let { visible, handleClose } = props
    return (
        <Modal size="lg" aria-labelledby="contained-modal-title-vcenter" centered show={visible} onHide={handleClose}> 
            <Modal.Header>
                <button type="button" className="close" onClick={handleClose}>&times;</button>
                <h4 className="modal-title">Asistencia</h4>
            </Modal.Header>
            <Modal.Body className="modal-body">
                <div className="data_notification">
                    <p>La lista muestra un historial de las actividades que se han realizado en cada módulo del sistema a nivel Administradores y Asistentes, realice búsquedas avanzadas o simplemente actualice la lista para obtener los últimos registros.</p>
                </div>
            </Modal.Body>
        </Modal>
    )
}
