import { Modal } from 'react-bootstrap';

export default function MyModal (props) {
    let { Head, Body, visible, onClose } = props
    return(
        <Modal 
            size="lg" 
            aria-labelledby="contained-modal-title-vcenter" 
            centered  
            show={visible} 
            onHide={onClose}>
            <Modal.Header>
                <Head/>
            </Modal.Header>
            <Modal.Body>
                <Body/>
            </Modal.Body>
        </Modal>
    )
}
