import {ListItem, ListItemIcon,ListItemText } from '@mui/material/'
import LogoutIcon from '@mui/icons-material/Logout';

import useAuth from '../../Auth/useAuth';

export function BottomNav() {
    const auth = useAuth();

    return (
        <ListItem
            className="close_nav_mov"
            // onClick={() => console.log('cerrando session')}
            onClick={() => auth.logout()}
            button
        >
            <ListItemIcon>
                <LogoutIcon/>
            </ListItemIcon>
            <ListItemText 
                sx={{
                    fontSize: 12,
                    ' .css-10hburv-MuiTypography-root' : {
                        fontSize : '.875rem'
                    },
                }}
                primary={"Cerrar Session"} 
                />

        </ListItem>
    );
}
